<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    tools:showIn="@layout/activity_manual_in_ward_stock">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin"
        android:background="@color/white"
        android:orientation="horizontal"
        android:weightSum="10">

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="75dp"
            android:layout_margin="@dimen/custom_margin"
            android:layout_weight="5"
            app:cardBackgroundColor="@color/background_color"
            app:cardCornerRadius="@dimen/custom_margin"
            app:cardElevation="2dp">


            <TextView
                android:id="@+id/txt_invoice_qty"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="Invoice QTY"
                android:textStyle="bold"
                android:textAllCaps="true"
                android:textSize="@dimen/text_size_normal"
                android:padding="@dimen/custom_layout_margin11"
                android:textColor="@color/green"/>

        </androidx.cardview.widget.CardView>


        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="75dp"
            android:layout_margin="@dimen/custom_margin"
            android:layout_weight="5"
            app:cardBackgroundColor="@color/background_color"
            app:cardCornerRadius="@dimen/custom_margin"
            app:cardElevation="2dp">


            <TextView
                android:id="@+id/txt_actual_qty"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="Actual QTY"
                android:textStyle="bold"
                android:textAllCaps="true"
                android:textSize="@dimen/text_size_normal"
                android:padding="@dimen/custom_layout_margin11"
                android:textColor="@color/green" />
        </androidx.cardview.widget.CardView>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/margin1dp"
        android:background="@color/gray"
        android:layout_margin="3dp"/>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="@dimen/custom_margin"
        app:cardElevation="@dimen/custom_margin2dp"
        android:layout_margin="@dimen/custom_margin3dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:weightSum="4">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/custom_margin"
                android:orientation="horizontal"
                android:layout_gravity="center"
                android:gravity="center"
                android:weightSum="2">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:textStyle="normal"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_layout_margin11"
                    android:textColor="@color/black"
                    android:layout_gravity="center_vertical"
                    android:text="Invoice Number">

                </TextView>

                <EditText
                    android:id="@+id/invoice_no"
                    android:layout_width="0dp"
                    android:text=""
                    android:maxLines="1"
                    android:inputType="text"
                    android:imeOptions="actionDone"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_layout_margin11"
                    android:layout_gravity="center"
                    android:gravity="center_vertical"
                    android:hint="Invoice Number"
                    android:layout_height="wrap_content"
                    android:maxLength="30"
                    android:background="@drawable/rouded_corner_edt"
                    android:layout_weight="1" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/custom_margin"
                android:orientation="horizontal"
                android:layout_gravity="center"
                android:gravity="center"
                android:weightSum="2">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:textStyle="normal"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_layout_margin11"
                    android:textColor="@color/black"
                    android:layout_gravity="center_vertical"
                    android:text="Invoice Type">

                </TextView>

                <Spinner
                    android:id="@+id/invoice_type"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:layout_weight="1"
                    android:padding="@dimen/margin1dp"
                    android:background="@drawable/rouded_corner_edt"/>

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:layout_marginTop="@dimen/custom_margin"
                android:orientation="horizontal"
                android:weightSum="4">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:gravity="center_vertical"
                    android:textStyle="normal"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_layout_margin11"
                    android:textColor="@color/black"
                    android:text="Invoice Date">
                </TextView>

                <TextView
                    android:id="@+id/invoice_date"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="left|center"
                    android:text=""
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_layout_margin11"
                    android:background="@drawable/rouded_corner_edt"
                    android:textColor="@color/black"
                    android:textStyle="normal" />

                <ImageView
                    android:layout_gravity="center|right"
                    android:id="@+id/date_img"
                    android:layout_width="0dp"
                    android:src="@mipmap/calender"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"/>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="horizontal"
                android:weightSum="4"
                android:layout_marginTop="@dimen/padding_10dp"
                android:layout_marginBottom="@dimen/custom_margin">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:gravity="center_vertical"
                    android:textStyle="normal"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_layout_margin11"
                    android:textColor="@color/black"
                    android:text="Invoice Image">
                </TextView>

                <ImageView
                    android:id="@+id/manualinvoice_img"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/custom_layout_margin_50"
                    android:layout_weight="2"
                    android:gravity="center"
                    android:src="@mipmap/camera_star"/>
            </LinearLayout>

        </LinearLayout>
    </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/card_layout_scan"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/custom_margin3dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="@dimen/custom_margin3dp"
            app:cardElevation="2dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="2dp"
                android:layout_marginTop="@dimen/fab_margin"
                android:layout_marginRight="2dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="4"
                    android:textStyle="bold"
                    android:text="@string/consumer_return"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_layout_margin11"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_margin="@dimen/margin1dp"
                    android:weightSum="9">

                    <Button
                        android:id="@+id/btn_scan"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="3"
                        android:background="@drawable/rouded_corner"
                        android:text="Scan"
                        android:textAllCaps="false"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_16sp"
                        android:padding="@dimen/custom_margin" />

                    <Button
                        android:id="@+id/btn_enter_code"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:layout_weight="3"
                        android:background="@drawable/rouded_corner"
                        android:text="Enter Code"
                        android:textAllCaps="false"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_16sp"
                        android:padding="@dimen/custom_margin" />

                    <Button
                        android:id="@+id/btn_sku_list"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:layout_weight="3"
                        android:background="@drawable/rouded_corner"
                        android:text="Sku List"
                        android:textAllCaps="false"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_16sp"
                        android:padding="@dimen/custom_margin" />
                </LinearLayout>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/card_layout_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/custom_margin3dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="@dimen/custom_margin3dp"
            app:cardElevation="2dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin1dp"
                android:orientation="horizontal"
                android:background="@color/grey_background"
                android:weightSum="4">

                <TextView
                    android:gravity="center"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Invoice QTY"
                    android:textStyle="normal"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_margin"
                    android:background="@color/white"
                    android:textColor="@color/black"/>
                <TextView
                    android:gravity="center"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:text="Actual QTY"
                    android:textStyle="normal"
                    android:background="@color/white"
                    android:textColor="@color/black"
                    android:layout_marginLeft="@dimen/custom_margin2dp"
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_margin"/>
                <TextView
                    android:textSize="@dimen/text_size_16sp"
                    android:padding="@dimen/custom_margin"
                    android:gravity="center"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Options"
                    android:textStyle="normal"
                    android:layout_marginLeft="@dimen/custom_margin2dp"
                    android:textColor="@color/black"
                    android:background="@color/white" />

            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/drawer_layout_recycle_store"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="?actionBarSize" />

</LinearLayout>
